Bug 1782409 - [4.3.0] Unmount error reported frequently from buildah output in openshift builds
Summary: [4.3.0] Unmount error reported frequently from buildah output in openshift bu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.0
Assignee: Jindrich Novy
QA Contact: wewang
URL:
Whiteboard:
Depends On: 1772179
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-11 15:05 UTC by Adam Kaplan
Modified: 2020-01-24 01:42 UTC (History)
12 users (show)

Fixed In Version: buildah-1.11.6-2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1772179
Environment:
Last Closed: 2020-01-23 11:18:55 UTC
Target Upstream Version:
wewang: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift builder pull 122 0 None closed Bug 1782409: bump github.com/containers/{storage,buildah} 2020-10-05 09:58:24 UTC
Red Hat Product Errata RHBA-2020:0062 0 None None None 2020-01-23 11:19:15 UTC

Comment 2 Jindrich Novy 2019-12-11 20:48:38 UTC
buildah-1.11.6-2.el8 in rhaos-4.3 branch contains the https://github.com/containers/buildah/pull/1996 already since 6th Dec or anything else needs to be done?

Comment 5 wewang 2019-12-12 06:26:33 UTC
4.4 pr is already merged: https://github.com/openshift/builder/pull/119, but 4.3 is still open:https://github.com/openshift/builder/pull/122, will wait the pr merge, then verify the bug, now test it in 4.4 first.

Comment 6 Tom Sweeney 2019-12-12 15:13:04 UTC
Wewang, FYI: https://github.com/openshift/builder/pull/122 merged about 5 hours ago.

Comment 7 wewang 2019-12-13 02:13:30 UTC
Tested in version as below, which is include the pr, no unmouting error log
4.3.0-0.ci-2019-12-12-235727


job:
https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/logs/release-openshift-origin-installer-e2e-gcp-4.3/1040
[Feature:Builds][Conformance] build can reference a cluster service with a build being created from new-build should be able to run a build that references a cluster service [Suite:openshift/conformance/parallel/minima

logs:
https://storage.googleapis.com/origin-ci-test/logs/release-openshift-origin-installer-e2e-gcp-4.3/1040/artifacts/e2e-gcp/container-logs/test.log

Comment 9 errata-xmlrpc 2020-01-23 11:18:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.